import { readFileSync } from "fs";
const config = JSON.parse(readFileSync("./config.json").toString());

export default abstract class Config {
	public static ports:IPorts = config.ports;
	public static database:IDatabase = config.database;
	public static session:ISession = config.session;
}

interface IPorts {
	web: number
}

interface IDatabase {
	address: string,
	port: number,
	username: string,
	password: string,
	name: string
}

interface ISession {
	secret: string,
	validity: number,
	length: number
}